> ## Documentation Index
> Fetch the complete documentation index at: https://opendonationassistant.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Get catalog



## OpenAPI

````yaml /api-reference/oda-files-service-1.0.0.yml get /catalog
openapi: 3.0.1
info:
  title: oda-files-service
  version: 1.0.0
servers: []
security: []
paths:
  /catalog:
    get:
      operationId: getCatalog
      parameters:
        - name: category
          in: query
          explode: false
          schema:
            type: string
            nullable: true
      responses:
        '200':
          description: getCatalog 200 response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/CatalogItemView'
components:
  schemas:
    CatalogItemView:
      required:
        - category
        - id
        - name
        - recipientId
        - type
        - url
      type: object
      properties:
        id:
          type: string
        name:
          type: string
        recipientId:
          type: string
        category:
          type: string
        type:
          type: string
        url:
          type: string

````